Library Version 18.1.40

get_db_set_flags
Prev | Chapter 3. Db_container | Next

## get_db_set_flags

### Function Details

    u_int32_t get_db_set_flags() const

Get the backing database's flags that are set via Db::set_flags() function.

#### Return Value

Flags set to this container's database handle.

### Group: Get and set functions for data members.

Note that these functions are not thread safe, because all data members of db_container are supposed to be set on container construction and initialization, and remain read only afterwards.

### Class

db_container

Prev | Up | Next
Chapter 3. Db_container | Home | get_db_handle